org.apache.poi.hdgf.extractor

## Class VisioTextExtractor

- java.lang.Object
- - org.apache.poi.extractor.POITextExtractor
  - - org.apache.poi.extractor.POIOLE2TextExtractor
    - - org.apache.poi.hdgf.extractor.VisioTextExtractor

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public final class VisioTextExtractor
      extends POIOLE2TextExtractor

  Class to find all the text in a Visio file, and return it. Can operate on the command line (outputs to stdout), or can return the text for you (example: for use with Lucene).

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.extractor.POIOLE2TextExtractor

      `document`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VisioTextExtractor(DirectoryNode dir)`
    `VisioTextExtractor(HDGFDiagram hdgf)`
    `VisioTextExtractor(java.io.InputStream inp)`
    `VisioTextExtractor(POIFSFileSystem fs)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getAllText()` Locates all the text entries in the file, and returns their contents.
    `java.lang.String` | `getText()` Returns the textual contents of the file.
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class org.apache.poi.extractor.POIOLE2TextExtractor

      `getDocSummaryInformation, getDocument, getMetadataTextExtractor, getRoot, getSummaryInformation`

    - ### Methods inherited from class org.apache.poi.extractor.POITextExtractor

      `close, setFilesystem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VisioTextExtractor

          public VisioTextExtractor(HDGFDiagram hdgf)

    - #### VisioTextExtractor

          public VisioTextExtractor(POIFSFileSystem fs)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### VisioTextExtractor

          public VisioTextExtractor(DirectoryNode dir)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### VisioTextExtractor

          public VisioTextExtractor(java.io.InputStream inp)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getAllText

          public java.lang.String[] getAllText()

      Locates all the text entries in the file, and returns their contents.
      Returns:
        An array of each Text item in the document

    - #### getText

          public java.lang.String getText()

      Returns the textual contents of the file. Each textual object's text will be separated by a newline
      Specified by:
        `getText` in class `POITextExtractor`
      Returns:
        All text contained in this document, separated by `\n`

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.